Skip to main content
GET
/
v1
/
feed
/
on-this-day
On this day
curl --request GET \
  --url https://api.rewind.rest/v1/feed/on-this-day \
  --header 'Authorization: Bearer <token>'
{
  "month": 3,
  "day": 18,
  "years": [
    {
      "year": 2024,
      "items": [
        {
          "id": 500,
          "domain": "listening",
          "event_type": "artist_discovered",
          "occurred_at": "2024-03-18T15:00:00.000Z",
          "title": "Discovered Sabrina Carpenter",
          "subtitle": null,
          "image_key": null,
          "source_id": "lastfm:sync:abc",
          "metadata": null
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.

Query Parameters

month
integer
required
Required range: 1 <= x <= 12
Example:

3

day
integer
required
Required range: 1 <= x <= 31
Example:

13

Response

Activity grouped by year for the given date

month
number
required
day
number
required
years
object[]
required